Switch user's active institution profile
curl --request POST \
--url https://pria.praxislxp.com/api/user/userInstitutionSwitch/{id} \
--header 'x-access-token: <api-key>'import requests
url = "https://pria.praxislxp.com/api/user/userInstitutionSwitch/{id}"
headers = {"x-access-token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-access-token': '<api-key>'}};
fetch('https://pria.praxislxp.com/api/user/userInstitutionSwitch/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Profile switched!"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "Authentication Required"
}{
"success": false,
"message": "Request Unauthorized!"
}{
"success": false,
"message": "Not Found!"
}User Institutions
Switch user's active institution profile
Switches the user’s active institution profile. Updates the user’s institution reference and plan (sdk for institution, free for personal). Also updates lastLogin and lastKA on the target user-institution record.
POST
/
api
/
user
/
userInstitutionSwitch
/
{id}
Switch user's active institution profile
Authorizations
JWT token passed in x-access-token header
Path Parameters
The UserInstitution ObjectId to switch to
Was this page helpful?
⌘I